import {
  ExperimentCreateDto,
  ExperimentSearch,
} from "@/components/models/management/Experiments";
import { request } from "@/components/service/index";
export const ExperimentService = {
  add: (payload: ExperimentCreateDto) => {
    return request.post("/api/experiments", payload);
  },
  delete: (id: Number) => {
    return request.delete(`/api/experiments/${id}`, {});
  },
  view: (id: number) => {
    return request.get(`/api/experiments/${id}`, {});
  },
  //   update: (id: number, payload: AttachmentUpload) => {
  //     return request.put(`/api/experiments/${id}`, payload);
  //   },
  search: (payload: ExperimentSearch) => {
    return request.get("/api/experiments/search", payload);
  },
};
